Subject: Best Lavender for sachets

From: [email-masked] (Jeff Houston)
Date: 22 Mar 1995 12:33:45 GMT

There are several varieties of lavenders and I'd like to grow
some for use in sachets.  Which varieties are best for this?
I understand that lavender doesn't like acid soil;  since my
soil is acidic I guess I will have to use lime several times
a year (is that true?).  Will it grow near the edge of a pond
or does it prefer a dry soil?